# Rôle du Script Bash zabbix.sh

Ce script Bash, `zabbix.sh`, automatise l'installation et la configuration de Zabbix sur notre serveur ap32-mon. Voici une explication des actions clés réalisées par ce script :

### **Configuration des proxy HTTP/HTTPS :**
   - Le script commence par définir les variables d'environnement `http_proxy` et `https_proxy`, permettant de spécifier un serveur proxy pour les connexions HTTP et HTTPS (à l'adresse `10.121.38.1:8080`).
---

### **Téléchargement et installation du paquet Zabbix Release :**
   - Le script utilise `wget` pour télécharger le paquet d'installation de Zabbix depuis le dépôt officiel de Zabbix.
   - Il installe ensuite ce paquet `.deb` en utilisant `dpkg -i`.
---

### **Installation des dépendances nécessaires :**
   - Le script installe les paquets suivants :
     - `apache2`
     - `mariadb-server`
     - `zabbix-server-mysql`
     - `zabbix-frontend-php`
     - `zabbix-apache-conf`
     - `zabbix-sql-scripts`
     - `zabbix-agent`
---

### **Création de la base de données Zabbix :**
   - Le script crée une base de données MySQL appelée `zabbix` avec le jeu de caractères `utf8mb4` et le collationnement `utf8mb4_bin`.
---   

### **Création d'un utilisateur Zabbix dans MySQL :**
   - Il crée un utilisateur MySQL nommé `zabbix` avec comme mot de passe (`password`) et lui accorde tous les privilèges sur la base de données `zabbix`.
---

### **Configuration du fichier de configuration de Zabbix :**
   - Le script modifie le fichier `/etc/zabbix/zabbix_server.conf` pour y spécifier le mot de passe de la base de données Zabbix avec la directive `DBPassword=password`.
---

### **Redémarrage et activation des services :**
   - Le script redémarre les services Zabbix (`zabbix-server`, `zabbix-agent`) ainsi que le service Apache (`apache2`), puis les configure pour qu'ils démarrent automatiquement au démarrage du système.